# check-sites

Comprueba si todos los Virtual Hosts de Nginx están online y envía un email de error en caso contrario.

## Sinopsis
* `check-sites [OPCIONES]`

## Opciones
* `-h, --help`: muestra mensaje de error y finaliza.
* `-t, --to <email>`: email destinatorio.
* `-f, --from <email>`: email remitente.
* `-P, --password <pass>`: contraseña del remitente.
* `-s, --subject`: concepto del email.
* `-H, --host <host>`: dominio o IP del servidor SMTP (necesita STARTTLS).
* `-p, --port <port>`: puerto TCP/IP del servidor SMTP (por defecto: 587).

## Instalación
* `git clone https://code.castanedo.es/guzman/check-sites.git`
* `cp ./check-sites/check-sites /usr/local/bin/check-sites`
* `cp ./check-sites/scripts/crond.d/check-sites /etc/cron.d/check-sites`
* `cp ./check-sites/scripts/logrotate.d/check-sites /etc/logrotate.d/check-sites`

Para configurar el envio de correo electrónico modificar el fichero `/etc/cron.d/check-sites` con las opciones necesarias.
